# PhasicFlow: compareOne< T, Operator > Class Template Reference

compareOne< T, Operator > Class Template Reference

## Public Types

using | opertorType = Operator< T >

## Public Member Functions

| TypeInfoNV (Operator< T >::TYPENAME())
| compareOne (const dictionary &dict)
bool | operator() (const T &value) const

## Protected Attributes

T | compValue_ {}
opertorType | operator_ {}

## Detailed Description

### template<typename T, template< class > class Operator>
class pFlow::compareOne< T, Operator >

Definition at line 115 of file IncludeMask.hpp.

## Member Typedef Documentation

## opertorType

using opertorType = Operator<T>

Definition at line 119 of file IncludeMask.hpp.

## Constructor & Destructor Documentation

## compareOne()

compareOne | ( | const dictionary & | dict | ) |

inline

Definition at line 128 of file IncludeMask.hpp.

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | Operator< T > | ::TYPENAME() | ) |

## operator()()

bool operator() | ( | const T & | value | ) | const

inline

Definition at line 133 of file IncludeMask.hpp.

References compareOne< T, Operator >::compValue_, and compareOne< T, Operator >::operator_.

## Member Data Documentation

## compValue_

T compValue_ {}

protected

Definition at line 122 of file IncludeMask.hpp.

Referenced by compareOne< T, Operator >::operator()().

## operator_

opertorType operator_ {}

protected

Definition at line 123 of file IncludeMask.hpp.

Referenced by compareOne< T, Operator >::operator()().

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/IncludeMask.hpp